Loading...
Searching...
No Matches
sdbus::ProxyObjectHolder Class Reference

`#include <ProxyInterfaces.h>`

Inheritance diagram for sdbus::ProxyObjectHolder:

## Protected Member Functions

| ProxyObjectHolder (std::unique_ptr< IProxy > &&proxy)
const IProxy & | getProxy () const
IProxy & | getProxy ()

## Detailed Description

ProxyObjectHolder is a helper that simply owns and provides access to a proxy object to other classes in the inheritance hierarchy of a native-like proxy object based on generated interface classes.

The documentation for this class was generated from the following file:

- include/sdbus-c++/ProxyInterfaces.h